﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WG_CheckBoxHeaderWithGroupByRows
{
    class GroupByRowCheckBoxClickedEventArgs : EventArgs
    {
        private CheckBoxUIElement _checkBox;
        private UltraGridGroupByRow _groupByRow;

        public UltraGridGroupByRow GroupByRow
        {
            get { return _groupByRow; }
            private set { _groupByRow = value; }
        }

        public CheckBoxUIElement CheckBox
        {
            get { return _checkBox; }
            private set { _checkBox = value; }
        }

        public GroupByRowCheckBoxClickedEventArgs(Infragistics.Win.UIElement element)
        {
            if (element is CheckBoxUIElement)
            {
                this._checkBox = (CheckBoxUIElement)element;
                this._groupByRow = ((GroupByRowUIElement)element.Parent).GroupByRow;
            }
            else
            {
                throw new ArgumentException("The element should be CheckBoxUIElement");
            }
        }
    }
}
